/* Pour éviter de retaper ou de faire un copier-coller de ce chemin à chaque fois...*/
%let chemin=/home/jerome.collet1/Master19/Tables;

libname l "&chemin.";

proc sort data=l.flights out=flights;
  by tailnum;
run;
proc sort data=l.planes out=planes;
  by tailnum;
run;
data volavion; merge flights (in=a) planes (in=b);
  by tailnum;
  if a and b;
run;

proc sort data=volavion;
  by origin dest;
run;
data volaviondist; merge volavion (in=a) l.distances (in=b);
  by origin dest;
  if a and b;
  yearplane=yearplane-1977;
run;

proc sql;
  create table volaviondist2 as select avions.*, vols.*, distances.*
  from l.flights as vols, l.distances as distances, l.planes as avions
  where avions.tailnum=vols.tailnum and vols.dest=distances.dest and vols.origin=distances.origin ;
quit;

proc glmselect data=volaviondist;
  class model engine carrier;
  model air_time = distance*engine carrier yearplane yearplane*distance ;
run;quit;

/* Turbo-shaft */

proc glmselect data=volaviondist;
  where engine notin ("Turbo-shaft" "4 Cycle") ;
  class engine carrier;
  model air_time = distance distance*engine carrier;
run;quit;
proc glm data=volaviondist;
  where engine notin ("Turbo-shaft" "4 Cycle") ;
  class engine carrier;
  model air_time = distance distance*engine carrier/ solution;
run;quit;
proc glmselect data=volaviondist;
  where engine notin ("Turbo-shaft" "4 Cycle") ;
  class model engine carrier;
  model air_time = distance*model distance*engine distance*carrier carrier yearplane
    yearplane*distance distance*distance;
run;quit;

proc glmselect data=volaviondist;
  class model engine carrier;
  model air_time = distance*model distance*engine distance*carrier carrier yearplane yearplane*distance distance*distance;
run;quit;

proc glm data=volaviondist;
  class model engine carrier;
  model air_time = distance*engine distance*carrier carrier yearplane distance*yearplane distance*distance / solution ;
run;quit;

proc univariate data=volaviondist;
  class engine;
  var distance;
  histogram;
run;quit;

proc sort data=planes nodupkey out=l.modeles(drop=tailnum yearplane);
  by manufacturer model;
run;
data l.exemplaires; set planes;
  keep tailnum yearplane manufacturer model;
run;

proc sort data=l.modeles;
  by manufacturer model;
run;
proc sort data=l.exemplaires;
  by manufacturer model;
run;
data planes2; merge l.modeles l.exemplaires;
  by manufacturer model;
run;
proc compare base=planes2 compare=planes2;
run;
