library(nycflights13)
library(tidyverse)
che <- "C:/Users/Jerome/Desktop/tds/master2_2021/donneescodes/tables"

flights %>%
  group_by(origin, dest) %>%
  summarise(distancemoy = mean(distance),
            zero = sd (distance)) %>%
  filter(zero != 0)
flights %>%
  group_by(origin, dest) %>%
  mutate(distancemoy = mean(distance),
         zero = sd (distance)) %>%
  filter(zero != 0) %>%
  select(origin, dest, distance) %>%
  arrange(origin, dest, distance) %>%
  View()
flights %>%
  group_by(origin, dest) %>%
  summarise(distance = mean(distance)) %>%
  saveRDS(file.path(che,"distances.rds"))

saveRDS(select(flights, -distance), file.path(che,"flights.rds"))

names(planes)
saveRDS(select(planes, tailnum, year, manufacturer, model), file.path(che,"planes.rds"))

planes %>%
  group_by(manufacturer, model) %>%
  summarise(nbtype = length(unique(type)),
            nbengines = length(unique(engines)),
            nbseats = length(unique(seats)),
            nbspeed = length(unique(speed)),
            nbengine = length(unique(engine)),
            snb = nbtype + nbengines + nbseats + nbspeed + nbengine) %>%
  filter(snb > 5)
planes %>%
  filter(model %in% c("737-832", "MD-90-30")) %>%
  arrange(model, engine) %>%
  View()
planes %>%
  select(type, manufacturer, model, engines, seats, speed, engine) %>%
  group_by(type, manufacturer, model, engines, seats, speed, engine)%>%
  slice(1) %>%
  ungroup() %>%
  saveRDS(file.path(che,"models.rds"))

