%let che=/home/jerome.collet1/Master19;
libname ltables "&che/Tables";

data voitures;
  infile "&che/Donnees/voitures.csv" firstobs=2 dlm=";";
  length nom $16. finition $2.;
  input nom cyl puis lon lar poids vitesse finition prix;
run;

proc corr data=voitures;
  var prix;
  with cyl puis lon lar poids vitesse;
run;


proc reg data=voitures;
  model prix = puis ;
  output out=preds p=prevprix;
run;quit;

proc surveyselect data=voitures out=voituresboot
  seed=30459584
  method=srs
  sampsize=9
  rep=100;
run;
proc reg data=voituresboot noprint;
  by replicate;
  model prix = puis ;
  output out=predsboot p=prevprix;
run;quit;
goptions reset=all;
goptions i=join;
proc gplot data=predsboot;
  plot prevprix*puis=replicate / nolegend;
run;quit;


proc surveyselect data=voitures out=voituresboot
  seed=30459584
  method=urs
  samprate=1
  rep=100;
run;
proc reg data=voituresboot noprint;
  by replicate;
  model prix = puis ;
  output out=predsboot p=prevprix;
run;quit;
goptions reset=all;
goptions i=join;
proc gplot data=predsboot;
  plot prevprix*puis=replicate / nolegend;
run;quit;

data voitures; set voitures;
  obs=_n_;
run;
%let g=75013;
data tirs;
do replicate=1 to 100;
  do tir=1 to 18;
    obs2=floor(ranuni(&g)*18)+1;
    output;
  end;
end;
run;
proc sql;
  create table voituresboot as select voitures.*, tirs.*
  from voitures, tirs
  where tirs.obs2=voitures.obs
  order by replicate, tir;
quit;
proc reg data=voituresboot noprint;
  by replicate;
  model prix = puis ;
  output out=predsboot p=prevprix;
run;quit;
goptions reset=all;
goptions i=join;
proc gplot data=predsboot;
  plot prevprix*puis=replicate / nolegend;
run;quit;

data _null_; set voituresboot;
  if replicate=1;
  file "&che\export.txt";
  if _n_=1 then put 'nom cyl puis lon lar poids vitesse finition prix';
  put nom cyl puis lon lar poids vitesse finition prix;
run;
