%let chemin=/home/jerome.collet1/Master19/Donnees;

data uscrime;
  infile "&chemin./USCrime.html" dlm='09'x firstobs=39;
  input R Age S Ed Ex0 Ex1 LF M N NW U1 U2 W X;
run;

proc corr data=uscrime;
  var R;
  with _numeric_;
run;

proc reg data=uscrime;
  model R = Age S Ed Ex0 Ex1 LF M N NW U1 U2 W X / method=stepwise;
run;quit;

/*****************************************************************************/
%let nbobs=1e3;

data renverse;
  do numobs=1 to &nbobs;
    x1 = ranuni(1);
    x2 = -x1/2 + rannor(1);
    y = x1 + 10*x2 + rannor(1);
    output;
  end;
run;

proc corr data = renverse;
  var y x1;
run;

proc reg data = renverse;
  model y = x1 x2;
run;quit;


/*****************************************************************************/
data cache;
  do numobs=1 to &nbobs;
    x1 = ranuni(1);
    x2 = ranuni(1);
    y = x1 + 50*x2 + rannor(1);
    output;
  end;
run;

proc corr data = cache;
  var y x1;
run;

proc reg data = cache;
  model y = x1 x2 / noint ;
run;quit;