%let che= /home/jerome.collet1/Master19;


data naissances;
  infile "&che./Donnees/naissances.txt" firstobs=2;
  input rien $ mois moischar $ an naismois;
  drop rien moischar;
run;
proc sort data=naissances;
  by an mois;
run;

/* calcul du nombre moyen de naissances par jour */
data longueurs;
do j="1jan1975"d to "1may2008"d-1;
  mois=month(j);
  an=year(j);
  output;
end;
run;
proc summary data=longueurs nway;
  class an mois;
  output out=longueurs(drop= _type_ _freq_) n(j)=njm;
run;
data naissances; merge naissances longueurs;
  by an mois;
  naisjour=naismois/njm;
run;

/* dessin fouillis */
goptions i=join;
proc gplot data=naissances;
  where mod(an,5)=0;
  plot naisjour*mois=an;
run;quit;

/* somme annuelle */
proc summary data=naissances nway;
  class an;
  output out=paran mean(naismois)=naisan;
run;
goptions i=join;
proc gplot data=paran;
  plot naisan*an;
run;quit;

/* l'ACP */
proc transpose data=naissances out=naislig prefix=naisjour;
  id mois;
  by an;
  var naisjour;
run;
proc princomp data=naislig out=projections outstat=axes cov;
  var naisjour1-naisjour12;
run;

/* nettoyage */
data axes; set axes;
  where _type_ in ('MEAN' 'SCORE');
  if _type_ in ('MEAN') then _name_=_type_;
  drop _type_;
run;
proc transpose data=axes out=axes(drop=_name_);
  id _name_;
run;
data axes; set axes;
  mois=_n_;
  drop prin7-prin12;
run;

/* dessins des composantes */
goptions i=join;
proc gplot data=axes;
  plot (mean)*mois / legend overlay;
run;quit;
goptions i=join;
proc gplot data=axes;
  plot (prin1 prin2)*mois / legend overlay vref=0;
run;quit;
goptions reset=all;


/* dessins des projections */
data projections; set projections;
  keep an prin1-prin6;
run;
goptions i=join;
proc gplot data=projections;
  plot (prin1 prin2)*an/ overlay vref=0 legend;
run;quit;

/* comparaison avec autres valeurs annuelles */
data compar; merge projections paran;
  by an;
run;
proc corr data=compar;
  var prin1 prin2;
  with naisan an;
run;
